## gnome-shell-extension-suspend-button 0~git20160525

=== Makefile ===
# Basic Makefile

# Retrieve the UUID from ``metadata.json``
UUID = $(shell grep -E '^[ ]*"uuid":' ./metadata.json | sed 's@^[ ]*"uuid":[ ]*"\(.\+\)",[ ]*@\1@')
BASE_MODULES = extension.js metadata.json COPYING README.md
EXTRA_MODULES = lib.js prefs.js
MSGSRC = $(wildcard locale/*/*/*.po)
INSTALLBASE = ~/.local/share/gnome-shell/extensions
INSTALLNAME = $(UUID)

$(info UUID is "$(UUID)")

.PHONY: all _build clean extension install install-local zip-file

all: extension

clean:
	rm -f ./schemas/gschemas.compiled
	rm -f ./locale/*/*/*.mo
	-rm -fR ./_build

extension: ./schemas/gschemas.compiled $(MSGSRC:.po=.mo)

./schemas/gschemas.compiled: ./schemas/org.gnome.shell.extensions.suspend-button.gschema.xml
	glib-compile-schemas ./schemas/

./locale/%.mo: ./locale/%.po
	msgfmt -c $< -o $@

install: install-local

install-local: _build
	rm -rf $(INSTALLBASE)/$(INSTALLNAME)
	mkdir -p $(INSTALLBASE)/$(INSTALLNAME)
	cp -r ./_build/* $(INSTALLBASE)/$(INSTALLNAME)/

zip-file: _build
	cd _build ; \
	zip -qr "$(UUID)$(VSTRING).zip" .
	mv _build/$(UUID)$(VSTRING).zip ./

_build: all
	-rm -fR ./_build
	mkdir -p _build
	cp $(BASE_MODULES) $(EXTRA_MODULES) _build
	mkdir -p _build/schemas
	cp schemas/*.xml _build/schemas/
	cp schemas/gschemas.compiled _build/schemas/
	cp -r locale _build/

## gnome-shell-extension-suspend-button 0~git20141024

=== debian/changelog ===
gnome-shell-extension-suspend-button (0~git20141024-1) unstable; urgency=medium

  * Initial release (Closes: #766342)

 -- Tobias Frost <tobi@debian.org>  Thu, 23 Oct 2014 13:44:33 +0200

=== debian/control ===
Source: gnome-shell-extension-suspend-button
Section: gnome
Priority: optional
Maintainer: Tobias Frost <tobi@debian.org>
Build-Depends: debhelper (>= 9), gettext, libglib2.0-bin
Standards-Version: 3.9.6
Homepage: https://gitorious.org/gnome-shell-brightness-extension/
Vcs-Git: git://anonscm.debian.org/collab-maint/gnome-shell-extension-suspend-button.git
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/gnome-shell-extension-suspend-button.git

Package: gnome-shell-extension-suspend-button
Architecture: all
Depends: gnome-shell (<< 3.15), gnome-shell (>= 3.10), ${misc:Depends}
Recommends: gnome-tweak-tool
Description: Gnome-shell extension to modify the suspend/shutdown buttons
 This Gnome-shell extension allows you to control the suspend/shutdown buttons
 in the status menu
 .
 Please note that you have to manually enable the extension, for example using
 gnome-tweak-tool.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# For get-orig-source
UURL = https://github.com/laserb/gnome-shell-extension-suspend-button.git
PKD   = $(abspath $(dir $(MAKEFILE_LIST)))
PKG   = $(word 2,$(shell dpkg-parsechangelog -l$(PKD)/changelog | grep ^Source))
VER  ?= $(shell dpkg-parsechangelog -l$(PKD)/changelog  -SVersion | sed -e s/^.*git// -e s/-.*//)
TYPE = +repack
UPSVER ?= $(shell dpkg-parsechangelog -l$(PKD)/changelog -SVersion | cut -d~ -f1)


%:
	dh $@

override_dh_auto_build:
	glib-compile-schemas --strict --targetdir=schemas/ schemas
	for po in locale/*/*/*.po; do \
		msgfmt -cv -o $${po%.po}.mo $$po; \
        done
	dh_auto_build

override_dh_install:
	# Installing translations
	for mo in $$(cd locale; ls */*/*.mo); do \
        	lang=$$(dirname $$mo); \
		mkdir -p debian/$(PKG)/usr/share/locale/$$lang; \
		cp locale/$$mo debian/$(PKG)/usr/share/locale/$$lang/gnome-shell-extension-suspend-button.mo; \
	done
	dh_install

## from: https://wiki.debian.org/onlyjob/get-orig-source
.PHONY: get-orig-source
get-orig-source: $(PKG)_$(UPSVER)~git$(VER)$(DTYPE).orig.tar.xz
	@#$(info I: $(UPSVER$)~$(PKG)_$(VER)$(DTYPE))
	@

UDATE = $(shell date --rfc-3339=seconds --date='TZ="UTC" \
	$(shell echo ~git$(VER) | perl -ne 'print "$$1-$$2-$$3" if m/\~(?:git|svn|hg)(\d{4})(\d{2})(\d{2})/')')

$(PKG)_$(UPSVER)~git$(VER)$(DTYPE).orig.tar.xz:
	@#echo DEBUG: VER=$(VER) UDATE=$(UDATE) UPSVER=$(UPSVER)
	@#$(info I: UDATE=$(UDATE))
	$(if $(wildcard $(PKG)-$(UPSVER)~git$(VER)),$(error $(PKG)-$(UPSVER)~git$(VER) exist, aborting..))
	@echo "# Downloading..."
	git clone $(UURL) $(PKG)-$(UPSVER)~git$(VER) \
	|| $(RM) -r $(PKG)-$(UPSVER)~git$(VER)
	cd $(PKG)-$(UPSVER)~git$(VER) \
	&& git checkout v$(VER) || git checkout $$(git log -n1 --format=%h --before="$(UDATE)") \
	&& ( echo "# Generating ChangeLog..." \
	&& git log --pretty="format:%ad  %aN  <%aE>%n%n%x09* %s%n" --date=short > ChangeLog \
	&& touch -d "$$(git log -1 --format='%ci')" ChangeLog) \
	&& echo "# Setting times..." \
	&& for F in $$(git ls-tree -r --name-only HEAD); do touch --no-dereference -d "$$(git log -1 --format="%ai" -- $$F)" "$$F"; done \
	&& echo "# Cleaning-up..." \
	&& $(RM) -r -v \
		notneededdir/unwantedfile1 \
		notneededdir/unwantedfiles.* \
	&& $(RM) -r .git .git*
	@echo "# Packing..."
	find -L "$(PKG)-$(UPSVER)~git$(VER)" -xdev -type f -print | sort \
	| XZ_OPT="-6v" tar -caf "$(PKG)_$(UPSVER)~git$(VER)$(DTYPE).orig.tar.xz" -T- --owner=root --group=root --mode=a+rX \
	&& $(RM) -r "$(PKG)-$(UPSVER)~git$(VER)"

## gnome-shell-extension-suspend-button 0~git20150615

=== debian/changelog ===
gnome-shell-extension-suspend-button (0~git20150615-2) unstable; urgency=medium

  * Add patch to supporrt Gnome 3.18 (Closes: #801645)

 -- Tobias Frost <tobi@debian.org>  Wed, 21 Oct 2015 21:51:52 +0200

gnome-shell-extension-suspend-button (0~git20150615-1) unstable; urgency=medium

  * New upstream git snapshot
  * Changing Depends to include GNOME 3.16
  * Update years in d/copyright and change to my debian.org email
  * Remove duplicate license text from d/copyright
  * Remove unneccessary cleanup lines from get-orig-source target in
    d/rules

 -- Tobias Frost <tobi@debian.org>  Tue, 16 Jun 2015 09:32:03 +0200

=== debian/control ===
--- 
+++ 
@@ -4,13 +4,13 @@
 Maintainer: Tobias Frost <tobi@debian.org>
 Build-Depends: debhelper (>= 9), gettext, libglib2.0-bin
 Standards-Version: 3.9.6
-Homepage: https://gitorious.org/gnome-shell-brightness-extension/
+Homepage: https://github.com/laserb/gnome-shell-extension-suspend-button
 Vcs-Git: git://anonscm.debian.org/collab-maint/gnome-shell-extension-suspend-button.git
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/gnome-shell-extension-suspend-button.git
 
 Package: gnome-shell-extension-suspend-button
 Architecture: all
-Depends: gnome-shell (<< 3.15), gnome-shell (>= 3.10), ${misc:Depends}
+Depends: gnome-shell (<< 3.19), gnome-shell (>= 3.10), ${misc:Depends}
 Recommends: gnome-tweak-tool
 Description: Gnome-shell extension to modify the suspend/shutdown buttons
  This Gnome-shell extension allows you to control the suspend/shutdown buttons

=== debian/rules ===
--- 
+++ 
@@ -56,9 +56,6 @@
 	&& echo "# Setting times..." \
 	&& for F in $$(git ls-tree -r --name-only HEAD); do touch --no-dereference -d "$$(git log -1 --format="%ai" -- $$F)" "$$F"; done \
 	&& echo "# Cleaning-up..." \
-	&& $(RM) -r -v \
-		notneededdir/unwantedfile1 \
-		notneededdir/unwantedfiles.* \
 	&& $(RM) -r .git .git*
 	@echo "# Packing..."
 	find -L "$(PKG)-$(UPSVER)~git$(VER)" -xdev -type f -print | sort \

## gnome-shell-extension-suspend-button 0~git20160415

=== debian/changelog ===
gnome-shell-extension-suspend-button (0~git20160415-1) unstable; urgency=medium

  * New upstream git snapshot.
  * Supports Gnome 3.20
  * Bump SV to 3.9.8 -- no changes required
  * Change to https:// links for the Vcs-* Fields
  * Update copyright years
  * Remove 01-gnome318.patch series, no longer needed

 -- Tobias Frost <tobi@debian.org>  Tue, 26 Apr 2016 22:10:32 +0200

=== debian/control ===
Source: gnome-shell-extension-suspend-button
Section: gnome
Priority: optional
Maintainer: Tobias Frost <tobi@debian.org>
Build-Depends: debhelper (>= 9), gettext, libglib2.0-bin
Standards-Version: 3.9.8
Homepage: https://github.com/laserb/gnome-shell-extension-suspend-button
Vcs-Git: https://anonscm.debian.org/git/collab-maint/gnome-shell-extension-suspend-button.git
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/gnome-shell-extension-suspend-button.git

Package: gnome-shell-extension-suspend-button
Architecture: all
Depends: gnome-shell (<< 3.21), gnome-shell (>= 3.10), ${misc:Depends}
Recommends: gnome-tweak-tool
Description: Gnome-shell extension to modify the suspend/shutdown buttons
 This Gnome-shell extension allows you to control the suspend/shutdown buttons
 in the status menu
 .
 Please note that you have to manually enable the extension, for example using
 gnome-tweak-tool.

## gnome-shell-extension-suspend-button 0~git20160525

=== debian/changelog ===
gnome-shell-extension-suspend-button (0~git20160525-3ubuntu1) zesty; urgency=medium

  * debian/control: Drop upper limit for compatible gnome-shell version

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 16 Feb 2017 11:04:57 -0500

gnome-shell-extension-suspend-button (0~git20160525-3) unstable; urgency=medium

  * locale *.mo creation is now done in upstream's Makefile
  * Do not install a copy of the locales to the extensions' dir
  * Do only install the compiled schema, not the xml source file
  * d/clean no longer needed, included in upstream Makefile
  * Bump d/compat to level 10

 -- Tobias Frost <tobi@debian.org>  Sun, 04 Dec 2016 15:36:39 +0100

gnome-shell-extension-suspend-button (0~git20160525-2) unstable; urgency=medium

  * d/control: Relax upper version limit on gnome-shell. (Closes: #837595)
    As the next Gnome version will by default not enforce the version via
    metadata.json, a change in this file is not required. See the bug for
    details.

 -- Tobias Frost <tobi@debian.org>  Wed, 14 Sep 2016 08:14:39 +0200

gnome-shell-extension-suspend-button (0~git20160525-1) unstable; urgency=medium

  * New upstream git snapshot.
  * Added patch 01-fix-installdir.patch to utilize DESTDIR for installation.
  * Added patch 02-do-not-install-COPYING-and-README.patch to avoid installing
    the files COPYING and README.md.

 -- Tobias Frost <tobi@debian.org>  Sun, 11 Sep 2016 09:40:40 +0200

=== debian/control ===
Source: gnome-shell-extension-suspend-button
Section: gnome
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Tobias Frost <tobi@debian.org>
Build-Depends: debhelper (>= 10), gettext, libglib2.0-bin
Standards-Version: 3.9.8
Homepage: https://github.com/laserb/gnome-shell-extension-suspend-button
Vcs-Git: https://anonscm.debian.org/git/collab-maint/gnome-shell-extension-suspend-button.git
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/gnome-shell-extension-suspend-button.git

Package: gnome-shell-extension-suspend-button
Architecture: all
Depends: gnome-shell (>= 3.10), ${misc:Depends}
Recommends: gnome-tweak-tool
Description: Gnome-shell extension to modify the suspend/shutdown buttons
 This Gnome-shell extension allows you to control the suspend/shutdown buttons
 in the status menu
 .
 Please note that you have to manually enable the extension, for example using
 gnome-tweak-tool.

## gnome-shell-extension-suspend-button 0~git20161006

=== debian/changelog ===
gnome-shell-extension-suspend-button (0~git20161006-1) unstable; urgency=medium

  * New upstream git snapshot.
  * Drop patch 01-fix-installdir.patch -- applied upstream
  * Drop upper version constraint on gnome-shell -- gnome-shell will
    ignore the extensions restrictions, so this is no longer needed
  * Update copyright years
  * Bump SV to 4.0.0 -- no changes needed

 -- Tobias Frost <tobi@debian.org>  Sun, 09 Jul 2017 14:30:36 +0200

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: gnome-shell-extension-suspend-button
 Section: gnome
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Tobias Frost <tobi@debian.org>
+Maintainer: Tobias Frost <tobi@debian.org>
 Build-Depends: debhelper (>= 10), gettext, libglib2.0-bin
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 Homepage: https://github.com/laserb/gnome-shell-extension-suspend-button
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/gnome-shell-extension-suspend-button.git
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/gnome-shell-extension-suspend-button.git

=== debian/rules ===
--- 
+++ 
@@ -18,19 +18,18 @@
 
 override_dh_auto_build:
 	glib-compile-schemas --strict --targetdir=schemas/ schemas
-	for po in locale/*/*/*.po; do \
-		msgfmt -cv -o $${po%.po}.mo $$po; \
-        done
 	dh_auto_build
 
 override_dh_install:
 	# Installing translations
 	for mo in $$(cd locale; ls */*/*.mo); do \
-        	lang=$$(dirname $$mo); \
+		lang=$$(dirname $$mo); \
 		mkdir -p debian/$(PKG)/usr/share/locale/$$lang; \
 		cp locale/$$mo debian/$(PKG)/usr/share/locale/$$lang/gnome-shell-extension-suspend-button.mo; \
 	done
-	dh_install
+	# do not install the xml file
+	rm debian/$(PKG)/usr/share/gnome-shell/extensions/suspend-button@laserb/schemas/org.gnome.shell.extensions.suspend-button.gschema.xml
+	dh_install -Xschemas/org.gnome.shell.extensions.suspend-button.gschema.xml
 
 ## from: https://wiki.debian.org/onlyjob/get-orig-source
 .PHONY: get-orig-source

## gnome-shell-extension-suspend-button 0~git20171025

=== debian/changelog ===
gnome-shell-extension-suspend-button (0~git20171025-2) unstable; urgency=medium

  * Move repository to salsa.debian.org.
  * Bump d/compat to level 11.
  * Add watchfile to track commits.
     - add watch file
     - drop lintian override for "missing watch file"
     - drop get-orig-source in d/rules and remove usage of $PKG.
       As a side effect, this fixes also some lintian infos for using
       dpkg-parsechangelog.
  * Update d/changelog: Use https for the spec and update years.
  * Bump S-V to 4.1.4 -- no other changes required.

 -- Tobias Frost <tobi@debian.org>  Sun, 08 Apr 2018 01:31:56 +0200

gnome-shell-extension-suspend-button (0~git20171025-1) unstable; urgency=medium

  * New upstream git snapshot.
  * Bump SV to 4.1.1 -- no changes

 -- Tobias Frost <tobi@debian.org>  Thu, 26 Oct 2017 08:01:23 +0200

=== debian/control ===
--- 
+++ 
@@ -2,11 +2,11 @@
 Section: gnome
 Priority: optional
 Maintainer: Tobias Frost <tobi@debian.org>
-Build-Depends: debhelper (>= 10), gettext, libglib2.0-bin
-Standards-Version: 4.0.0
+Build-Depends: debhelper (>= 11), gettext, libglib2.0-bin
+Standards-Version: 4.1.4
 Homepage: https://github.com/laserb/gnome-shell-extension-suspend-button
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/gnome-shell-extension-suspend-button.git
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/gnome-shell-extension-suspend-button.git
+Vcs-Git: https://salsa.debian.org/debian/gnome-shell-extension-suspend-button.git
+Vcs-Browser: https://salsa.debian.org/debian/gnome-shell-extension-suspend-button
 
 Package: gnome-shell-extension-suspend-button
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_build:
	glib-compile-schemas --strict --targetdir=schemas/ schemas
	dh_auto_build

override_dh_install:
	# Installing translations
	for mo in $$(cd locale; ls */*/*.mo); do \
		lang=$$(dirname $$mo); \
		mkdir -p debian/$(PKG)/usr/share/locale/$$lang; \
		cp locale/$$mo debian/$(PKG)/usr/share/locale/$$lang/gnome-shell-extension-suspend-button.mo; \
	done
	# do not install the xml file
	dh_install -Xschemas/org.gnome.shell.extensions.suspend-button.gschema.xml
	find . -name org.gnome.shell.extensions.suspend-button.gschema.xml -delete

=== debian/watch ===
version=4
opts="mode=git, pgpmode=none, pretty=0~git%cd" \
https://github.com/laserb/gnome-shell-extension-suspend-button.git \
HEAD debian uupdate

## gnome-shell-extension-suspend-button 0~git20180827

=== debian/changelog ===
gnome-shell-extension-suspend-button (0~git20180827-2) unstable; urgency=medium

  * Recommend gnome-tweaks instead of gnome-tweak-tool. (Closes: #917785)

 -- Tobias Frost <tobi@debian.org>  Sun, 30 Dec 2018 12:11:19 +0100

gnome-shell-extension-suspend-button (0~git20180827-1) unstable; urgency=medium

  * New upstream git snapshot.
  * Bump SV to 4.3.0 -- no changes required

 -- Tobias Frost <tobi@debian.org>  Sat, 29 Dec 2018 23:50:34 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Tobias Frost <tobi@debian.org>
 Build-Depends: debhelper (>= 11), gettext, libglib2.0-bin
-Standards-Version: 4.1.4
+Standards-Version: 4.3.0
 Homepage: https://github.com/laserb/gnome-shell-extension-suspend-button
 Vcs-Git: https://salsa.debian.org/debian/gnome-shell-extension-suspend-button.git
 Vcs-Browser: https://salsa.debian.org/debian/gnome-shell-extension-suspend-button
@@ -11,7 +11,7 @@
 Package: gnome-shell-extension-suspend-button
 Architecture: all
 Depends: gnome-shell (>= 3.10), ${misc:Depends}
-Recommends: gnome-tweak-tool
+Recommends: gnome-tweaks
 Description: Gnome-shell extension to modify the suspend/shutdown buttons
  This Gnome-shell extension allows you to control the suspend/shutdown buttons
  in the status menu

## gnome-shell-extension-suspend-button 0~git20191005

=== Makefile ===
--- 
+++ 
@@ -5,7 +5,12 @@
 BASE_MODULES = extension.js metadata.json COPYING README.md
 EXTRA_MODULES = lib.js prefs.js
 MSGSRC = $(wildcard locale/*/*/*.po)
-INSTALLBASE = ~/.local/share/gnome-shell/extensions
+
+ifeq ($(strip $(DESTDIR)),)
+INSTALLBASE = $(HOME)/.local/share/gnome-shell/extensions
+else
+INSTALLBASE = $(DESTDIR)/usr/share/gnome-shell/extensions
+endif
 INSTALLNAME = $(UUID)
 
 $(info UUID is "$(UUID)")

=== debian/changelog ===
gnome-shell-extension-suspend-button (0~git20191005-1) unstable; urgency=medium

  * New upstream git snapshot. (Closes: #941892).

 -- Tobias Frost <tobi@debian.org>  Mon, 07 Oct 2019 22:31:57 +0200
